#Setting up Lighttpd for PHP-fpm

## Use flags

Recommended USE Flags for lighttpd - put these in `/etc/portage/package.use` rather than `/etc/make.conf` to make this easier to change if need be.

`fastcgi -php threads openssl`

To install, just do

`emerge lighttpd`


## Config

To use lighttpd with php-fpm, we'll need to modify `/etc/lighttpd/mod_fastcgi.conf`
to look like so:

	server.modules += ("mod_fastcgi")
	fastcgi.server = ( ".php" =>
		            ( "localhost" =>
			            (
							"host" 		=> 		"127.0.0.1",
							"port"      => 		"9000"
			            )
		            )
	            )

	

